<?xml version="1.0" encoding="UTF-8"?>

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.lutao</groupId>
		<artifactId>cloud-common</artifactId>
		<version>1.0.0</version>
	</parent>

	<artifactId>cloud-common-security</artifactId>
	<packaging>jar</packaging>

	<description> 安全工具类</description>
	<dependencies>
		<!--工具类核心包-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-core</artifactId>
		</dependency>
		<!--安全模块-->
		<dependency>
			<groupId>org.springframework.security.oauth.boot</groupId>
			<artifactId>spring-security-oauth2-autoconfigure</artifactId>
		</dependency>
		<!--feign-->
		<dependency>
			<groupId>io.github.openfeign</groupId>
			<artifactId>feign-core</artifactId>
		</dependency>
		<!--aop-->
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>aspectjrt</artifactId>
		</dependency>
		<!--缓存依赖-->
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-redis</artifactId>
		</dependency>
		<!--upms fegin 调用相关工具类-->
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-upms-api</artifactId>
        </dependency>
		<!--feign 依赖-->
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-openfeign</artifactId>
			<exclusions>
				<exclusion>
					<groupId>commons-fileupload</groupId>
					<artifactId>commons-fileupload</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
    </dependencies>
</project>
